// Deobjectivizer - The program that makes C bindings to ObjC frameworks
// Copyright (C) 2010 Charles E. Davis

// This program is free software...

// DeobjectivizerAction.h - Defines the DeobjectivizerAction class, which is
//                          used to hook up the Deobjectivizer with the clang
//                          Frontend.

#ifndef DEOBJECTIVIZER_ACTION_H
#define DEOBJECTIVIZER_ACTION_H 1

#include <clang/Frontend/FrontendAction.h>

class DeobjectivizerAction: public clang::ASTFrontendAction {
public:
    virtual clang::ASTConsumer* CreateASTConsumer(clang::CompilerInstance& CI,
                                                  llvm::StringRef in_file);
};

#endif // DEOBJECTIVIZER_ACTION_H
